gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2004-000320

Adobe Acrobat Reader のファイル名の長さの取り扱いにおけるバッファオーバーフローの脆弱性

10.0
2007/04/01 00:00
CVE-2004-0631

JVNDB-2004-000320

Adobe Acrobat Reader のファイル名の長さの取り扱いにおけるバッファオーバーフローの脆弱性
概要
------------ 本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。 ------------ Adobe Acrobat Reader では、バイナリ (8 ビット) データを電子メール転送に最適な 6 ビット形式に変換するアルゴリズムである Uuencoding 形式でエンコードされたファイルをサポートしています。 Unix および Linux プラットフォーム用の Adobe Acrobat Reader 5.0.8 以前では、Uuencoding 形式でエンコードされたファイルをデコードする Uudecoding 処理において以下のような複数のセキュリティ上の問題が存在します。 ・ファイル名に含まれるバッククォート (`) 文字の取り扱いが不適切であるため、任意のコマンドが実行されてしまう問題 (CAN-2004-0630) ・ファイル名の長さの取り扱いが不適切であるため、バッファオーバーフローが発生する問題 (CAN-2004-0631) これらの問題を利用するリモート/ローカルの攻撃者は、意図的な名前を持つファイルを送りつけ、Acrobat Reader で開くよう誘導することにより、標的ユーザの実行権限で任意のコマンドや任意のコードを実行することが可能です。
想定される影響と対策
本脆弱性に伴う影響については、「概要」をご参照ください。
JVNDB-2004-000320は、ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度10.0N/A
CVECVE-2004-0631
公表日2004/08/12 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。